<?php
declare(strict_types=1);

use Cake\ORM\TableRegistry;
use Migrations\AbstractSeed;
use MSSQLModule\Lib\InitialDatabase\TemplateImport;

/**
 * Install seed.
 */
class InstallSeed extends AbstractSeed {
    /**
     * Run Method.
     *
     * Write your database seeder using this method.
     *
     * More information on writing seeds is available here:
     * https://book.cakephp.org/phinx/0/en/seeding.html
     *
     * @return void
     */
    /**
     * Run Method.
     *
     * Write your database seeder using this method.
     *
     * More information on writing seeds is available here:
     * http://docs.phinx.org/en/latest/seeding.html
     *
     * @return void
     */
    public function run(): void {
        $MSSqlWizardImporter = new TemplateImport(
            TableRegistry::getTableLocator()->get('Commands'),
            TableRegistry::getTableLocator()->get('Servicetemplates'),
            TableRegistry::getTableLocator()->get('WizardAssignments')
        );
        $MSSqlWizardImporter->import();
    }
}
